Skip to main content
GET
/
api
/
v1
/
transactions
# Replace YOUR_JWT_TOKEN with your actual JWT token
curl -X GET "https://staging.bitcoinflash.xyz/api/v1/transactions" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
{
  "success": true,
  "transactions": [
    {
      "id": "a05f6d71-f31b-45b0-9de1-f25e964ed9cd",
      "reference": "TXN_691a15c0633f467ED6293B2",
      "type": "BUY_BITCOIN",
      "amount_xof": "10000XOF",
      "exchange_rate": 54890457,
      "amount_sats": "1503858 SATS",
      "created_at": "16 novembre 2025",
      "updated_at": "16 novembre 2025"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.bitcoinflash.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Response

success
boolean
true on success.
transactions
array
Array of transaction objects.
# Replace YOUR_JWT_TOKEN with your actual JWT token
curl -X GET "https://staging.bitcoinflash.xyz/api/v1/transactions" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
{
  "success": true,
  "transactions": [
    {
      "id": "a05f6d71-f31b-45b0-9de1-f25e964ed9cd",
      "reference": "TXN_691a15c0633f467ED6293B2",
      "type": "BUY_BITCOIN",
      "amount_xof": "10000XOF",
      "exchange_rate": 54890457,
      "amount_sats": "1503858 SATS",
      "created_at": "16 novembre 2025",
      "updated_at": "16 novembre 2025"
    }
  ]
}